package server

import (
	"context"
	"errors"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type UseCase interface {
	Do(ctx context.Context, lang domain.Language) (*domain.Server, error)
}

var (
	ErrServerHeaders   error = errors.New("'server' param in site not contains 'headers' param")
	ErrServerRedirects error = errors.New("'server' param in site not contains 'redirects' param")
)
